%global modname xunitparser

Name:           python-%{modname}
Version:        1.3.3
Release:        1%{?dist}
Summary:        Read JUnit/XUnit XML files and map them to Python objects

License:        MIT
URL:            https://pypi.python.org/pypi/%{modname}
Source0:        http://git.p.engu.in/laurentb/xunitparser/snapshot/%{modname}-%{version}.tar.xz
# Some of tests failing on python3 (bugreport sent to author via email) Apr 2016
Patch0:         %{modname}-py3-tests.patch

BuildArch:      noarch

%global _description \
xunitparser reads a JUnit/XUnit XML file and maps it to Python objects.\
It tries to use the objects available in the standard "unittest" module.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE
%doc AUTHORS README
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}.py*

%files -n python3-%{modname}
%license LICENSE
%doc AUTHORS README
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.*

%changelog
* Thu May 05 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.3.3-1
- Initial package
